Substy Developers
Intelligence

List intelligence conversations

List Substy Intelligence conversations with title search, archived-state filtering and cursor pagination.

GET/v1/agencies/{agencyId}/intelligence/conversations

List Substy Intelligence conversations with title search, archived-state filtering and cursor pagination.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Query Parameters

archived?boolean
Defaultfalse
search?string
Lengthlength <= 200
limit?integer
Range1 <= value <= 100
Default50
cursor?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/intelligence/conversations" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": [    {      "_count": {        "messages": 0      },      "runs": [        {          "userId": "string",          "id": "string",          "createdAt": "2019-08-24T14:15:22Z",          "status": "RUNNING",          "updatedAt": "2019-08-24T14:15:22Z",          "completedAt": null,          "errorCode": null,          "errorMessage": null,          "startedAt": "2019-08-24T14:15:22Z",          "conversationId": "string",          "modelProfile": null,          "totalProviderMicrousd": "string",          "totalBilledMicrousd": "string",          "checkpointExpiresAt": "2019-08-24T14:15:22Z",          "checkpointDeletedAt": null,          "cancelRequestedAt": null        }      ],      "agencyId": "string",      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": null,      "pinned": true,      "title": "string",      "createdByUserId": "string",      "lastMessageAt": null,      "summary": null,      "summaryThroughSequence": 0,      "archivedAt": null,      "sharedAt": null,      "sharedByUserId": null    }  ],  "meta": {    "requestId": "string"  }}